Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Namespaces
ConcurrentMergeScheduler.h File Reference
`#include "MergeScheduler.h"`

Go to the source code of this file.

## Data Structures

class | Lucene::ConcurrentMergeScheduler
| A MergeScheduler that runs each merge using a separate thread, up until a maximum number of threads (setMaxThreadCount) at which when a merge is needed, the thread(s) that are updating the index will pause until one or more merges completes. This is a simple way to use concurrency in the indexing process without having to create and manage application level threads. More...

## Namespaces

| Lucene

clucene.sourceforge.net